1. 08. Market Data API (public, no key needed)
MIN-Global API
  • MinGlobal External API (v1)
    • 01. Overview and Quick Start
      • Step 1. Check API Reachability (no key needed)
      • Step 2. Your First Signed Request
    • 02. Authentication and Request Signing
    • 03. Spot Trading Explained
    • 04. Futures Trading Explained
    • 05. Data Formats and Conventions
    • 06. Errors and Troubleshooting
    • 07. Rate Limits, Permissions and Known Limits
    • 08. Market Data API (public, no key needed)
      • List Spot Trading Pairs
        GET
      • Get All Spot Tickers
        GET
      • Get Spot Candlesticks (Klines)
        GET
      • Get Spot Order Book (Depth)
        GET
      • Get Recent Spot Trades
        GET
      • List Futures Contracts
        GET
      • Get All Futures Tickers
        GET
      • Get Futures Candlesticks (Klines)
        GET
      • Get Futures Order Book (Depth)
        GET
      • Get Recent Futures Trades
        GET
    • 09. Wallets and Balances API
      • Get All Balances
      • Get Balances by Coin
    • 10. Assets and Networks API
      • List Supported Coins
      • List Networks for a Coin
    • 11. Spot Trading API
      • Place Spot Order (Limit Buy)
      • Place Spot Order (Market Sell)
      • List Your Spot Orders
      • Get One Spot Order
      • Cancel Spot Order
    • 12. Futures Trading API
      • Get Futures Margin Balance
      • Open Futures Position (Limit Long)
      • Close Futures Position (Reduce Only)
      • List Open Futures Orders
      • Get Futures Order History
      • Get One Futures Order
      • Cancel Futures Order
  1. 08. Market Data API (public, no key needed)

List Spot Trading Pairs

GET
https://api.minglobal.io/v1/market/symbols
This is the list of pairs you are allowed to trade. Start here before placing any spot order.
Do not confuse it with GET /v1/deposit/assets, which lists coins you can hold. Being able to hold a coin does not mean there is a market for it.
Returns: { symbols, total, page, pageSize, totalPages }
This endpoint is public. No key, no signature and no verification are needed.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.minglobal.io/v1/market/symbols?page=1&pageSize=50'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "symbols": [
    {
      "symbol": "BTC-USDT",
      "baseAsset": "BTC",
      "quoteAsset": "USDT",
      "status": "TRADING",
      "tickSize": "0.01",
      "stepSize": "0.000001",
      "minQty": "0.000001",
      "minNotional": "5"
    },
    {
      "symbol": "ETH-USDT",
      "baseAsset": "ETH",
      "quoteAsset": "USDT",
      "status": "TRADING",
      "tickSize": "0.01",
      "stepSize": "0.0001",
      "minQty": "0.0001",
      "minNotional": "5"
    }
  ],
  "total": 2,
  "page": 1,
  "pageSize": 50,
  "totalPages": 1
}
Modified at 2026-09-02 09:50:41
Previous
08. Market Data API (public, no key needed)
Next
Get All Spot Tickers
Built with